summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Herkt <lachs0r@srsfckn.biz>2018-07-05 20:55:53 +0200
committerMartin Herkt <lachs0r@srsfckn.biz>2018-07-05 21:33:03 +0200
commitc75f98e3ab8635c95f3cf2965e039102ee07c869 (patch)
treeab69b308d818fa73f8da6c6282e624463aeaeeed
parent034b33d695d6e1981b7a5b687279bb11eb55bc29 (diff)
downloadmpv-c75f98e3ab8635c95f3cf2965e039102ee07c869.tar.bz2
mpv-c75f98e3ab8635c95f3cf2965e039102ee07c869.tar.xz
ci: add mingw64 targets
-rw-r--r--.travis.yml4
-rwxr-xr-xci/build-mingw64.sh35
2 files changed, 38 insertions, 1 deletions
diff --git a/.travis.yml b/.travis.yml
index f377de72c1..ddc8c51d6a 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -14,6 +14,8 @@ env:
- CONTAINER=registry.cirno.systems/kiwi/containers/mpv-ci:stable-deps CI_SCRIPT=ci/build-tumbleweed.sh CC=clang
- CONTAINER=registry.cirno.systems/kiwi/containers/mpv-ci:snapshot-deps CI_SCRIPT=ci/build-tumbleweed.sh CC=gcc
- CONTAINER=registry.cirno.systems/kiwi/containers/mpv-ci:snapshot-deps CI_SCRIPT=ci/build-tumbleweed.sh CC=clang
+ - CONTAINER=registry.cirno.systems/kiwi/containers/mpv-ci-mingw64:i686 CI_SCRIPT=ci/build-mingw64.sh TARGET=i686-w64-mingw32
+ - CONTAINER=registry.cirno.systems/kiwi/containers/mpv-ci-mingw64:x86_64 CI_SCRIPT=ci/build-mingw64.sh TARGET=x86_64-w64-mingw32
global:
# Coverity token
- secure: "H21mSRlMhk4BKS0xHZvCFGJxteCP0hRVUxTuNfM2Z9HBsyutuLEYMtViLO86VtM+Tqla3xXPzUdS4ozLwI72Ax/5ZUDXACROj73yW6QhFB5D6rLut12+FjqC7M33Qv2hl0xwgNBmR5dsm1ToP37+Wn+ecJQNvN8fkTXF+HVzOEw="
@@ -29,7 +31,7 @@ branches:
before_install:
- docker pull $CONTAINER
script:
- - docker run --env CC -v $TRAVIS_BUILD_DIR:/build $CONTAINER /bin/sh -c "cd /build && $CI_SCRIPT"
+ - docker run --env CC --env TARGET -v $TRAVIS_BUILD_DIR:/build $CONTAINER /bin/sh -c "cd /build && $CI_SCRIPT"
after_failure: cat ./build/config.log
after_script: TOOLS/travis-rebuild-website
diff --git a/ci/build-mingw64.sh b/ci/build-mingw64.sh
new file mode 100755
index 0000000000..c60f70e421
--- /dev/null
+++ b/ci/build-mingw64.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+set -e
+
+_mingw_sysroot=/usr/$TARGET/sysroot
+_mingw_prefix=$_mingw_sysroot/mingw
+_mingw_exec_prefix=$_mingw_prefix
+_mingw_libdir=$_mingw_exec_prefix/lib
+_mingw_datadir=$_mingw_prefix/share
+
+export PKG_CONFIG_PATH="$_mingw_libdir/pkgconfig:$_mingw_datadir/pkgconfig";
+export CC=$TARGET-gcc
+export CXX=$TARGET-g++
+export AR=$TARGET-ar
+export NM=$TARGET-nm
+export RANLIB=$TARGET-ranlib
+export CFLAGS="-O2 -mtune=intel -g -ggdb -pipe -Wall --param=ssp-buffer-size=4 -mms-bitfields -fmessage-length=0 -D_FORTIFY_SOURCE=2 -fexceptions -fasynchronous-unwind-tables -fstack-protector-strong -fno-ident"
+export LDFLAGS="-Wl,--no-keep-memory -fstack-protector-strong"
+
+./bootstrap.py
+./waf configure \
+ --enable-static-build \
+ --enable-libmpv-shared \
+ --enable-lua \
+ --enable-javascript \
+ --enable-libarchive \
+ --enable-libass \
+ --enable-libbluray \
+ --enable-dvdread \
+ --enable-dvdnav \
+ --enable-uchardet \
+ --enable-vulkan \
+ --enable-shaderc \
+ --enable-rubberband \
+ --enable-lcms2
+./waf build --verbose